@import url('https://fonts.googleapis.com/css2?family=Baloo+Bhai+2:wght@400..800&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');
:root{
    --a:0;
}
*{
    margin: 0;
    padding: 0;
    font-family: 'Roboto',sans-serif;
    /* font-weight:700; */
}
body{
    background-color: black;
    color:white;
    
}
.left{
    width:25vw;
    box-sizing: border-box;
    padding:10px;
    position:relative;
    left:0px;
    transition: left 0.5s ease-in-out;
    background-color: black;
    /* background-color: transparent; */
}
.right{
    width:75vw;
    box-sizing: border-box;
    margin:15px 0px;
    position: relative;
}
.hamburger{
    display:none;
    cursor: pointer;
}
/* .home{
    
} */
 .home .logo img{
    width:110px; 
 }
.home ul{
    list-style:none;
}
.home ul li{
    /* width:14px; */
    display: flex;
    gap:15px;
    padding-top:14px;
    font-weight: 700
}
.home ul li img, .library .heading img{
    width:20px;

}
.heading{
    display:flex;
    gap:15px;
    font-weight: 700;
    align-items: center;
    font-size: 13px;
    padding-block: 10px;
}
.library{
    min-height: 80vh;
    position:relative;
}

.footer{
    display:flex;
    font-size:10px;
    gap:13px;
    position:absolute;
    bottom:0px;
    padding:10px 0px;
}
.footer a{
    color:grey;
}

.header{
    display:flex;
    justify-content: space-between;
    align-items: center;
    /* background-color: #101010; */
    background-color: #1d1d1d;
    
}
.nav{
    display:flex;
    align-items: center;
    gap:15px;
}
.header>*{
    padding: 13px ;
}
/* .header svg{
    height: 30px;
    width: 30px;
} */
.spotifyPlaylists{
    padding:16px;
    /* position: relative; */
}
.cardContainer{
    margin:30px;
    display:flex;
    gap:10px;
    flex-wrap: wrap;
    max-height: 70vh;
    overflow:hidden auto;
    /* border: 2px solid red; */
    margin-bottom: 50px;
}
.spotifyPlaylists h1{
    padding:16px;
}
.spotifyPlaylists .card{
    /* border:2px solid red; */
    width:200px;
    padding:10px;
    border-radius: 7px;
    background-color: #181818;
    position: relative;
    transition: all 0.7s;
}
.spotifyPlaylists .card:hover{
    background-color: rgb(49, 49, 49);
    cursor: pointer;
    --a:1;
}
.card img{
    width:100%;
    /* object-fit: contain; */
}
.card > *{
    padding-top:10px;
}
.play{
    position:absolute;
    top:168px;
    /* top:250px; */
    right:17px;
    opacity: var(--a);
    transition:all 0.5s ease-out;
}


.play img{
    width:35px;
}
.buttons>*{
    margin:0 12px;
}
.signupbtn{
    background-color: #1d1d1d;
    color:rgb(194, 194, 194);
    font-weight:bold;
    border: none;
    cursor: pointer;
    font-size:16px;
}
.signupbtn:hover{
    color:rgb(243, 243, 243);
    font-size: 17px;
}
.loginbtn{
    background-color: white;
    border-radius: 25px;
    color:black;
    padding:7px 15px;
    cursor: pointer;
}
.loginbtn:hover{
    font-weight: 800;
    padding:7px 16px;
    font-weight: bold;
}

.songbuttons{
    display:flex;
    justify-content: center;
    align-items: center;
    gap:12px;
}
.songList{
    height:544px;
    overflow: auto;
    /* border: 2px solid white; */
    margin-bottom: 30px;
}
.songList ul{
    list-style: decimal;
    padding:0px 12px;
}
.songList ul li{
    display:flex;
    gap:10px;
    cursor: pointer;
    justify-content: space-between;
    border:1px solid rgba(255, 255, 255, 0.507);
    margin: 12px 0;
    padding:10px;
    border-radius: 5px;
}
.playnow{
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap:7px;
    justify-content: center;
    align-items: center;
    align-content: center;
    
}
.playnow img{
    width: 20px;
}
.playnow span{
    font-size: 10px;
    width:50px;
    /* flex-shrink: 0; */
}
.songList ul li .info{
    font-size: 13px;
    /* width:343px; */
    width:55%;
}
.info div{
    word-break: break-all;
}
.playbar{
    min-height:35px;
    position: fixed;
    /* position: absolute; */
    bottom: 30px;
    /* left: 0; */
    background-color: rgb(206, 217, 207);
    /* width: 90%; */
    width: 70vw;
    padding:12px;
    /* box-sizing: border-box; */
    filter: invert(1);
    background-color: #dcdbdb;
    border-radius: 10px ;
  

}
.seekbar{
    height:3px;
    width:96.5%;
    border:2px solid black;
    position:absolute;
    bottom:2px;
    border-radius: 10px;
    margin: 6px;
    background-color: black;
    cursor: pointer;
}
.circle{
    width:13px;
    height:13px;
    border-radius:13px;
    background-color: black;
    position: relative;
    bottom:6px;
    left:0%;
    transition:left 0.5s ;
}
.songbuttons img{
    cursor: pointer;

}

.abovebar{
    display:flex;
    justify-content: center;
    align-items: center;
    position: relative;
}
.songinfo{
    position: absolute;
    left: 0;
     width:35%;
}
.timevol{
    position: absolute;
    right: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5px;
}

/* .songtime{
    position: absolute;
    right: 0;
} */
.songinfo ,.songtime{
    color:black;
    padding:0 12px;
}
.volume{
    display: flex;
     align-items: center;
     gap: 10px;
     cursor: pointer;
}
.volume>img{
    width:25px;
}
.range input{
    position: relative;
    top:2px;
    width:100px;
    cursor: pointer;
}
.close{
    display: none;
}


@media (max-width:1200px) {
    .left{
        position:absolute;
        z-index:1;
        left:-120%;
        width:370px;
        padding:0;
    }
    .right{
        width:100vw;
        margin:0;
    }
    .playbar{
        /* width:88vw; */
        width:calc(100vw - 60px);
        font-size:12px;
        padding-top: 2px;
    }
    .hamburger{
        display:inline-block;
        width:40px;
    }
    .close{
        position:absolute;
        right:30px;
        top:25px;
        display: block;
    }
    .close >img{
        width:30px;
    }
    .seekbar{
        /* width:86vw; */
        width:calc(100vw - 70px);
        /* width:95%; */
        bottom: 3px;
        
    }
    .songinfo{
        width:30%;
    }
    .abovebar{
        margin: 15px 0;
        
    }
    .spotifyPlaylists .card{
        width:44vw;
    }
    .cardContainer{
        margin:0;
        justify-content: center;
        margin-bottom: 100px;
    }
    .timevol{
        flex-direction: column;
    }
    .volume>img{
        width:22px;
    }
    .range input{
        top:0px;
        width:80px;
        height: 6px;
    }
    .playnow{
    }
}

@media (max-width:470px){
    .spotifyPlaylists .card{
        width:84vw;
    }
    .volume>img{
        width:20px;
    }
    .range input{
        top:0px;
        width:50px;
        height: 5px;
    }

}
